Bug 441592 - RHEL5 cman_tool man page still talks about broadcast as an option
RHEL5 cman_tool man page still talks about broadcast as an option
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Christine Caulfield
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 16:48 EDT by Kyle Gonzales
Modified: 2009-12-22 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-22 17:04:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kyle Gonzales 2008-04-08 16:48:21 EDT
Description of problem:
RHEL5 clustering using OpenAIS only uses multicast.  However, the man page for
cman_tool still says there are options to switch to broadcast as an option.

Here are the examples:

" -n <nodename>
Overrides the node name. By default the  unqualified  hostname  is  used.  This
option can also be used to specify which interface is used for cluster
communication as cman_tool will (unless multicast is specified below) use the 
broadcast address associated with that hostname. If you are using IPv6 then you
will have to use multicast rather than broadcast."

"-o <nodename>
Override the name this node will have in the cluster. This will normally be the
hostname or the first name specified by -n.  Note how this differs from -n:  -n
tells  cman_tool  how to find the broadcast address and/or the entry in CCS. -o
simply changes the name the node will have in the cluster and has no bearing on
the actual name of the machine. Use this option will extreme caution.  Setting
node IDs in CCS is a far better way to do this though.   Note that  the  node’s
application to join the cluster may be rejected if you try to set the nodeid to
one that has already been used, or if the node was previously a member of the
cluster but with a different nodeid."
Comment 1 Christine Caulfield 2008-04-09 03:53:46 EDT
Updated the man page on branches for RHEL5, STABLE & master
Comment 2 Lon Hohberger 2009-12-22 17:04:00 EST
This was fixed in 5.4; I did not check earlier releases.

Note You need to log in before you can comment on or make changes to this bug.